var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var TeamsWebHookCommand;
(function (TeamsWebHookCommand_1) {
    var TeamsWebHookCommand = (function (_super) {
        __extends(TeamsWebHookCommand, _super);
        function TeamsWebHookCommand() {
            return _super.call(this) || this;
        }
        TeamsWebHookCommand.prototype.convertToString = function (source) {
            if (source == null || source == undefined) {
                return '';
            }
            return source + '';
        };
        TeamsWebHookCommand.prototype.execute = function () {
            var teamsWebHookParam = this.CommandParam;
            var evaluatedParam = {
                URL: teamsWebHookParam.URL,
                Title: this.convertToString(this.evaluateFormula(teamsWebHookParam.Title)),
                Text: this.convertToString(this.evaluateFormula(teamsWebHookParam.Text)),
                ShowErrorMessage: teamsWebHookParam.ShowErrorMessage,
                SuccessMessage: this.convertToString(this.evaluateFormula(teamsWebHookParam.SuccessMessage))
            };
            Forguncy.Helper.post("customApi/teamswebhookcommandapi/sendMessageToTeams", JSON.stringify(evaluatedParam), function (message) {
                if (message) {
                    if (evaluatedParam.ShowErrorMessage) {
                        alert(message);
                    }
                }
                else {
                    if (evaluatedParam.SuccessMessage) {
                        alert(evaluatedParam.SuccessMessage);
                    }
                }
            });
        };
        return TeamsWebHookCommand;
    }(Forguncy.Plugin.CommandBase));
    TeamsWebHookCommand_1.TeamsWebHookCommand = TeamsWebHookCommand;
})(TeamsWebHookCommand || (TeamsWebHookCommand = {}));
Forguncy.Plugin.CommandFactory.registerCommand("TeamsWebHookCommand.Command.TeamsWebHookCommand, TeamsWebHookCommand", TeamsWebHookCommand.TeamsWebHookCommand);
